Bug 1761594 (CVE-2019-2949) - CVE-2019-2949 OpenJDK: Improper handling of Kerberos proxy credentials (Kerberos, 8220302)
Summary: CVE-2019-2949 OpenJDK: Improper handling of Kerberos proxy credentials (Kerbe...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2949
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1754086 1754087 1754088 1754089 1754094 1754095 1754096 1754097 1754098 1760981 1760982 1832249 1832250 1832251 1832252 1832253 1832254 1835144
Blocks: 1753424
TreeView+ depends on / blocked
 
Reported: 2019-10-14 19:59 UTC by Tomas Hoger
Modified: 2020-07-26 23:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 01:05:17 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3141 0 None None None 2019-10-17 18:57:19 UTC
Red Hat Product Errata RHBA-2019:3148 0 None None None 2019-10-18 09:02:46 UTC
Red Hat Product Errata RHBA-2019:3186 0 None None None 2019-10-23 19:17:52 UTC
Red Hat Product Errata RHBA-2019:3188 0 None None None 2019-10-23 08:44:07 UTC
Red Hat Product Errata RHBA-2019:3739 0 None None None 2019-11-06 13:32:50 UTC
Red Hat Product Errata RHBA-2019:3741 0 None None None 2019-11-06 14:23:04 UTC
Red Hat Product Errata RHBA-2019:3823 0 None None None 2019-11-11 12:52:06 UTC
Red Hat Product Errata RHBA-2019:3830 0 None None None 2019-11-12 12:37:34 UTC
Red Hat Product Errata RHBA-2019:3831 0 None None None 2019-11-12 12:45:49 UTC
Red Hat Product Errata RHBA-2019:3884 0 None None None 2019-11-14 13:30:06 UTC
Red Hat Product Errata RHBA-2019:3885 0 None None None 2019-11-14 13:26:18 UTC
Red Hat Product Errata RHBA-2019:3937 0 None None None 2019-11-20 21:05:27 UTC
Red Hat Product Errata RHSA-2019:3127 0 None None None 2019-10-16 14:45:51 UTC
Red Hat Product Errata RHSA-2019:3128 0 None None None 2019-10-16 14:19:08 UTC
Red Hat Product Errata RHSA-2019:3134 0 None None None 2019-10-17 09:58:00 UTC
Red Hat Product Errata RHSA-2019:3135 0 None None None 2019-10-17 09:59:18 UTC
Red Hat Product Errata RHSA-2019:3136 0 None None None 2019-10-17 14:27:35 UTC
Red Hat Product Errata RHSA-2020:2237 0 None None None 2020-05-20 14:24:49 UTC
Red Hat Product Errata RHSA-2020:2239 0 None None None 2020-05-20 14:25:23 UTC
Red Hat Product Errata RHSA-2020:2241 0 None None None 2020-05-20 16:03:38 UTC

Description Tomas Hoger 2019-10-14 19:59:30 UTC
It was discovered that the Kerberos implementation in the Kerberos component in OpenJDK did not properly handle proxy credentials.  This could lead to the unintended use of wrong credentials and possible user impersonation.

Comment 1 Tomas Hoger 2019-10-15 20:51:00 UTC
Public now via Oracle CPU October 2019:

https://www.oracle.com/security-alerts/cpuoct2019.html#AppendixJAVA

Fixed in Oracle Java SE 13.0.1, 11.0.5, 8u231, and 7u241.

Comment 2 errata-xmlrpc 2019-10-16 14:19:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3128 https://access.redhat.com/errata/RHSA-2019:3128

Comment 3 errata-xmlrpc 2019-10-16 14:45:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3127 https://access.redhat.com/errata/RHSA-2019:3127

Comment 4 errata-xmlrpc 2019-10-17 09:57:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3134 https://access.redhat.com/errata/RHSA-2019:3134

Comment 5 errata-xmlrpc 2019-10-17 09:59:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3135 https://access.redhat.com/errata/RHSA-2019:3135

Comment 8 errata-xmlrpc 2019-10-17 14:27:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3136 https://access.redhat.com/errata/RHSA-2019:3136

Comment 10 Product Security DevOps Team 2019-12-03 01:05:17 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2949

Comment 25 Yadnyawalk Tale 2020-05-13 08:52:57 UTC
rhel-6 java-1.8.0-ibm update.

Java SDK8 last update: 8.0.6.10 – 05 May 2020
https://developer.ibm.com/javasdk/support/security-vulnerabilities/
Security Bulletin: https://www.ibm.com/support/pages/node/6206153

Comment 27 errata-xmlrpc 2020-05-20 14:24:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2020:2237 https://access.redhat.com/errata/RHSA-2020:2237

Comment 28 errata-xmlrpc 2020-05-20 14:25:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2020:2239 https://access.redhat.com/errata/RHSA-2020:2239

Comment 29 errata-xmlrpc 2020-05-20 16:03:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:2241 https://access.redhat.com/errata/RHSA-2020:2241


Note You need to log in before you can comment on or make changes to this bug.